[2.0b4] unregisterConnection() missing 1 required positional argument: 'host'

Bug #1580771 reported by Andres Rodriguez on 2016-05-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
MAAS
Critical
Gavin Panella

Bug Description

2016-05-12 04:37:57 [sstreams] INFO: com.ubuntu.maas:daily:v2:download/com.ubuntu.maas.daily:v2:boot:15.10:i386:hwe-w: to_add=['20160509'] to_remove=[]
2016-05-12 04:37:57 [sstreams] INFO: com.ubuntu.maas:daily:v2:download/com.ubuntu.maas.daily:v2:boot:14.04:arm64:hwe-u: to_add=['20160503'] to_remove=[]
2016-05-12 04:37:57 [sstreams] INFO: com.ubuntu.maas:daily:v2:download/com.ubuntu.maas.daily:v2:boot:14.04:ppc64el:hwe-u: to_add=['20160503'] to_remove=[]
2016-05-12 04:37:57 [sstreams] INFO: com.ubuntu.maas:daily:v2:download/com.ubuntu.maas.daily:v2:boot:14.04:i386:hwe-v: to_add=['20160503'] to_remove=[]
2016-05-12 04:37:57 [sstreams] INFO: com.ubuntu.maas:daily:v2:download/com.ubuntu.maas.daily:v2:boot:15.04:arm64:xgene-uboot-mustang: to_add=['20160120'] to_remove=[]
2016-05-12 04:37:57 [sstreams] INFO: com.ubuntu.maas:daily:v2:download/com.ubuntu.maas.daily:v2:boot:14.10:amd64:hwe-u: to_add=['20150608'] to_remove=[]
2016-05-12 04:37:57 [sstreams] INFO: com.ubuntu.maas:daily:v2:download/com.ubuntu.maas.daily:v2:boot:14.04:ppc64el:hwe-t: to_add=['20160503'] to_remove=[]
2016-05-12 04:37:57 [sstreams] INFO: com.ubuntu.maas:daily:v2:download/com.ubuntu.maas.daily:v2:boot:14.04:armhf:hwe-w: to_add=['20160503'] to_remove=[]
2016-05-12 04:37:57 [sstreams] INFO: com.ubuntu.maas:daily:v2:download/com.ubuntu.maas.daily:v2:boot:12.04:amd64:hwe-s: to_add=['20160509'] to_remove=[]
2016-05-12 04:37:57 [sstreams] INFO: com.ubuntu.maas:daily:v2:download/com.ubuntu.maas.daily:v2:boot:13.10:amd64:hwe-s: to_add=['20140416'] to_remove=[]
2016-05-12 04:37:57 [sstreams] INFO: com.ubuntu.maas:daily:v2:download/com.ubuntu.maas.daily:v2:boot:14.04:armhf:hwe-v: to_add=['20160503'] to_remove=[]
2016-05-12 04:37:57 [sstreams] INFO: com.ubuntu.maas:daily:v2:download/com.ubuntu.maas.daily:v2:boot:15.04:amd64:hwe-v: to_add=['20160120'] to_remove=[]
2016-05-12 04:37:57 [sstreams] INFO: com.ubuntu.maas:daily:v2:download/com.ubuntu.maas.daily:v2:boot:12.04:i386:hwe-s: to_add=['20160509'] to_remove=[]
2016-05-12 04:37:57 [sstreams] INFO: com.ubuntu.maas:daily:v2:download/com.ubuntu.maas.daily:v2:boot:13.10:i386:hwe-s: to_add=['20140416'] to_remove=[]
2016-05-12 04:37:57 [sstreams] INFO: com.ubuntu.maas:daily:v2:download/com.ubuntu.maas.daily:v2:boot:12.04:amd64:hwe-q: to_add=['20160509'] to_remove=[]
2016-05-12 04:37:57 [sstreams] INFO: com.ubuntu.maas:daily:v2:download/com.ubuntu.maas.daily:v2:boot:14.04:armhf:hwe-t: to_add=['20160503'] to_remove=[]
2016-05-12 04:37:57 [sstreams] INFO: com.ubuntu.maas:daily:v2:download/com.ubuntu.maas.daily:v2:boot:16.04:arm64:xgene-uboot: to_add=['20160509'] to_remove=[]
2016-05-12 04:37:57 [sstreams] INFO: com.ubuntu.maas:daily:v2:download/com.ubuntu.maas.daily:v2:boot:14.10:arm64:xgene-uboot-mustang: to_add=['20150608'] to_remove=[]
2016-05-12 04:37:57 [sstreams] INFO: com.ubuntu.maas:daily:v2:download/com.ubuntu.maas.daily:v2:boot:14.10:arm64:hwe-u: to_add=['20150608'] to_remove=[]
2016-05-12 04:37:57 [sstreams] INFO: com.ubuntu.maas:daily:v2:download/com.ubuntu.maas.daily:v2:boot:14.04:amd64:hwe-v: to_add=['20160503'] to_remove=[]
2016-05-12 04:37:57 [RegionServer,2,192.168.10.27] Rack controller '4y3h7n' disconnected.
2016-05-12 04:37:57 [RegionServer,2,192.168.10.27] RegionServer connection lost (HOST:IPv4Address(TCP, '192.168.10.27', 5251) PEER:IPv4Address(TCP, '192.168.10.27', 52250))
2016-05-12 04:37:57 [-] 192.168.10.1 - - [11/May/2016:20:37:57 +0000] "GET /MAAS/static/css/maas-styles.css?v=2.0.0(beta5+bzr5012) HTTP/1.1" 206 1 "http://192.168.10.27:5240/MAAS/" "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/48.0.2564.97 Safari/537.36"
2016-05-12 04:37:57 [HTTPChannel,42,192.168.10.1] Opening connection with IPv4Address(TCP, '192.168.10.1', 45625)
2016-05-12 04:37:57 [-] Unhandled error in Deferred:
2016-05-12 04:37:57 [-] Unhandled Error
        Traceback (most recent call last):
          File "/usr/lib/python3.5/threading.py", line 862, in run
            self._target(*self._args, **self._kwargs)
          File "/usr/lib/python3/dist-packages/provisioningserver/utils/twisted.py", line 904, in worker
            return target()
          File "/usr/lib/python3/dist-packages/twisted/_threads/_threadworker.py", line 46, in work
            task()
          File "/usr/lib/python3/dist-packages/twisted/_threads/_team.py", line 190, in doWork
            task()
        --- <exception caught here> ---
          File "/usr/lib/python3/dist-packages/twisted/python/threadpool.py", line 246, in inContext
            result = inContext.theWork()
          File "/usr/lib/python3/dist-packages/twisted/python/threadpool.py", line 262, in <lambda>
            inContext.theWork = lambda: context.call(ctx, func, *args, **kw)
          File "/usr/lib/python3/dist-packages/twisted/python/context.py", line 118, in callWithContext
            return self.currentContext().callWithContext(ctx, func, *args, **kw)
          File "/usr/lib/python3/dist-packages/twisted/python/context.py", line 81, in callWithContext
            return func(*args,**kw)
          File "/usr/lib/python3/dist-packages/provisioningserver/utils/twisted.py", line 937, in callInContext
            return func(*args, **kwargs)
          File "/usr/lib/python3/dist-packages/maasserver/utils/orm.py", line 516, in call_within_transaction
            return func_outside_txn(*args, **kwargs)
          File "/usr/lib/python3/dist-packages/maasserver/utils/orm.py", line 343, in retrier
            return func(*args, **kwargs)
          File "/usr/lib/python3.5/contextlib.py", line 30, in inner
            return func(*args, **kwds)
        builtins.TypeError: unregisterConnection() missing 1 required positional argument: 'host'

2016-05-12 04:37:57 [-] Failed to monitor services and update database.
        Traceback (most recent call last):
          File "/usr/lib/python3/dist-packages/twisted/internet/defer.py", line 434, in errback
            self._startRunCallbacks(fail)
          File "/usr/lib/python3/dist-packages/twisted/internet/defer.py", line 501, in _startRunCallbacks
            self._runCallbacks()
          File "/usr/lib/python3/dist-packages/twisted/internet/defer.py", line 588, in _runCallbacks
            current.result = callback(current.result, *args, **kw)
          File "/usr/lib/python3/dist-packages/twisted/internet/defer.py", line 1184, in gotResult
            _inlineCallbacks(r, g, deferred)
        --- <exception caught here> ---
          File "/usr/lib/python3/dist-packages/twisted/internet/defer.py", line 1126, in _inlineCallbacks
            result = result.throwExceptionIntoGenerator(g)
          File "/usr/lib/python3/dist-packages/twisted/python/failure.py", line 389, in throwExceptionIntoGenerator
            return g.throw(self.type, self.value, self.tb)
          File "/usr/lib/python3/dist-packages/maasserver/service_monitor.py", line 104, in _updateDatabase
            self._saveIntoDatabase, advertising.process_id, services)
          File "/usr/lib/python3/dist-packages/twisted/python/threadpool.py", line 246, in inContext
            result = inContext.theWork()
          File "/usr/lib/python3/dist-packages/twisted/python/threadpool.py", line 262, in <lambda>
            inContext.theWork = lambda: context.call(ctx, func, *args, **kw)
          File "/usr/lib/python3/dist-packages/twisted/python/context.py", line 118, in callWithContext
            return self.currentContext().callWithContext(ctx, func, *args, **kw)
          File "/usr/lib/python3/dist-packages/twisted/python/context.py", line 81, in callWithContext
            return func(*args,**kw)
          File "/usr/lib/python3/dist-packages/provisioningserver/utils/twisted.py", line 937, in callInContext
            return func(*args, **kwargs)
          File "/usr/lib/python3/dist-packages/maasserver/utils/orm.py", line 516, in call_within_transaction
            return func_outside_txn(*args, **kwargs)
          File "/usr/lib/python3/dist-packages/maasserver/utils/orm.py", line 343, in retrier
            return func(*args, **kwargs)
          File "/usr/lib/python3.5/contextlib.py", line 30, in inner
            return func(*args, **kwds)
          File "/usr/lib/python3/dist-packages/maasserver/service_monitor.py", line 110, in _saveIntoDatabase
            process = RegionControllerProcess.objects.get(id=processId)
          File "/usr/lib/python3/dist-packages/django/db/models/manager.py", line 127, in manager_method
            return getattr(self.get_queryset(), name)(*args, **kwargs)
          File "/usr/lib/python3/dist-packages/django/db/models/query.py", line 334, in get
            self.model._meta.object_name
        maasserver.models.regioncontrollerprocess.DoesNotExist: RegionControllerProcess matching query does not exist.

2016-05-12 04:37:58 [-] /usr/lib/python3/dist-packages/django/templatetags/future.py:25: django.utils.deprecation.RemovedInDjango19Warning: Loading the `url` tag from the `future` library is deprecated and will be removed in Django 1.9. Use the default `url` tag instead.
2016-05-12 04:37:58 [-] 127.0.0.1 - - [11/May/2016:20:37:57 +0000] "GET /MAAS/settings/ HTTP/1.1" 200 4656 "http://192.168.10.27/MAAS/settings/" "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/48.0.2564.97 Safari/537.36"
2016-05-12 04:37:58 [-] 127.0.0.1 - - [11/May/2016:20:37:57 +0000] "GET /MAAS/rpc/ HTTP/1.0" 200 226 "-" "provisioningserver.rpc.clusterservice.ClusterClientService"
2016-05-12 04:37:58 [-] 192.168.10.1 - - [11/May/2016:20:37:57 +0000] "GET /MAAS/combo/maas-yui.js?v=2.0.0(beta5+bzr5012) HTTP/1.1" 200 10744 "http://192.168.10.27:5240/MAAS/settings/" "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/48.0.2564.97 Safari/537.36"

==> /var/log/maas/maas.log <==

Related branches

Changed in maas:
importance: Undecided → Critical
status: New → Triaged
milestone: none → 2.0.0
summary: - [2.0b5] unregisterConnection() missing 1 required positional argument:
+ [2.0b4] unregisterConnection() missing 1 required positional argument:
'host'
Gavin Panella (allenap) on 2016-05-13
Changed in maas:
assignee: nobody → Gavin Panella (allenap)
status: Triaged → In Progress
Gavin Panella (allenap) on 2016-05-16
Changed in maas:
status: In Progress → Fix Committed
Changed in maas:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers